// Define the pins for each of the LED's

int ledR = A0; // Analog pin 0
int ledL = A1; // Analog pin 1

// Define a startup function for initialization
// of the headlights. This is called via the
// Arduino setup() function.
void headlightSetup()
{
  // initialize the pins as outputs.  
  pinMode(ledL, OUTPUT); 
  pinMode(ledR, OUTPUT);
  // turn the LED's on or off (HIGH is the voltage level) 
  digitalWrite(ledL, LOW); // digitalWrite(ledL, HIGH);
  digitalWrite(ledL, LOW); // digitalWrite(ledR, HIGH); 
}

// This is a function used to toggle both of the
// headlights.
void TurnOnOffBothLights(char *prop, char *prod)
{
  // The left light is set via the prop value
  boolean onL = (boolean)atoi(prop);
  // The right light is set via the prod value
  boolean onR = (boolean)atoi(prod);
  
  // Call the funtion to turn on/off the left light
  TurnOnOffLeftLight(onL);
  // Call the funtion to turn on/off the right light
  TurnOnOffRightLight(onR);
}

// This is a simple function used to toggle the state
// of the left light depending upon the received value
void TurnOnOffLeftLight(boolean onL)
{  
  switch(onL)
  {
    case true: digitalWrite(ledL, HIGH);break;
    case false: digitalWrite(ledL, LOW);break;
  }
}

// This is a simple function used to toggle the state
// of the left right depending upon the received value
void TurnOnOffRightLight(boolean onR)
{  
  switch(onR)
  {
    case true: digitalWrite(ledR, HIGH);break;
    case false: digitalWrite(ledR, LOW);break;
  }
}
